-- Install and configure zen-mode.nvim
--  https://github.com/folke/zen-mode.nvim

-- Set a keymap to toggle zen mode
vim.keymap.set(
  "n",
  "<leader>z",
  "<cmd>ZenMode<cr>",
  { desc = "[zen-mode] Toggle zen mode" }
)

return {
  "folke/zen-mode.nvim",
  opts = {
    -- your configuration comes here
    -- or leave it empty to use the default settings
    -- refer to the configuration section below
    window = {
      backdrop = 1,
      height = .8,
      width = 90,
      options = {
        signcolumn = "no",
        foldcolumn = "0",
      }
    }
  }
}
